=== debian/changelog ===
sasl-xoauth2 (0.20-1) experimental; urgency=medium

  * new upstream version
  * work around argparse-manpage bug (Closes: #1034065)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 30 May 2023 17:30:18 -0400

sasl-xoauth2 (0.19-2) experimental; urgency=medium

  * wrap-and-sort -ast
  * ship sasl-xoauth2.conf as an example, not as a conffile

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 03 Mar 2023 11:47:29 -0500

sasl-xoauth2 (0.19-1) experimental; urgency=low

  * Package for Debian (Closes: #1006888)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 23 Feb 2023 18:48:25 -0500
