=== debian/control ===
Source: sasl-xoauth2
Section: utils
Priority: optional
Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dh-sequence-bash-completion,
 libcurl4-gnutls-dev,
 libjsoncpp-dev,
 libsasl2-dev,
 pandoc,
 pkg-config,
 python3-argcomplete,
 python3-argparse-manpage,
 python3-setuptools,
Standards-Version: 4.6.2
Homepage: https://github.com/tarickb/sasl-xoauth2
Rules-Requires-Root: no

Package: sasl-xoauth2
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 sasl-xoauth2-tool,
Description: SASL extension for XOAUTH2
 This SASL plugin enables client-side use of OAuth 2.0. Among other
 things it enables the use of Gmail or Outlook/Office 365 SMTP relays
 from Postfix.
 .
 It should be configured using data manipulated by the
 sasl-xoauth2-tool package.

Package: sasl-xoauth2-tool
Architecture: any
Recommends:
 python3-argcomplete,
 sasl-xoauth2,
Depends:
 python3,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Tool for maintaining SASL XOAUTH2 connections
 This package contains a tool for configuring and administering an XOAUTH2
 linkage via SASL.
 .
 This is typically used to configure the sasl-xoauth2 package.
