=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_after_dh_auto_build:
	mkdir -p completions manpages
	register-python-argcomplete --shell bash sasl-xoauth2-tool > completions/sasl-xoauth2-tool
	argparse-manpage --pyfile $(wildcard obj*/scripts/sasl-xoauth2-tool) --object parser \
		--author 'Tarick Bedeir' --author-email 'tarick@bedeir.com' --project-name sasl-xoauth2 \
		--url https://github.com/tarickb/sasl-xoauth2 --output manpages/sasl-xoauth2-tool.1
