=== debian/watch ===
version=4
opts=mode=git \
https://github.com/tarickb/sasl-xoauth2.git \
refs/tags/release-@ANY_VERSION@
